godo.ActionGateway.Endpoints.Search()
Generated on 11 Nov 2026
from godo version
v1.237.0
Usage
client.ActionGateway.Endpoints.Search(ctx context.Context, opt *godo.ActionGatewayEndpointSearchOptions) (*godo.ActionGatewayEndpointsResponse, *godo.Response, error)Description
Search searches endpoints by name, endpoint ID, actor ID, or agent name.
This method sends a GET request to /v2/action-gateway/endpoints/search.
Parameters
opt*godo.ActionGatewayEndpointSearchOptions
Fields of godo.ActionGatewayEndpointSearchOptions
ActionGatewayEndpointSearchOptions searches endpoints by text and actor.
QuerystringActorIDstringPageSizeintPageTokenstring
Returns
- *godo.ActionGatewayEndpointsResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ActionGatewayEndpointsResponse
ActionGatewayEndpointsResponse contains a keyset page of endpoints.
Endpoints[]godo.ActionGatewayEndpointNextPageTokenstring
Request Sample
Response Example
More Information
See GET /v2/action-gateway/endpoints/search in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.